#include <stdio.h>
#include <math.h>
#include <stdlib.h>
#include <stdbool.h>
struct koord {
    float x, y;
};

float ilgis(struct koord taskas1, struct koord taskas2) {
    return sqrt(pow((taskas1.x - taskas2.x),2) + pow((taskas1.y - taskas2.y), 2));
}

void rikiuok(float *a, float *b, float *c) {
    float d;
    if ((*a >= *b) && (*a > *b)) {
        d = *c;
        *c = *a;
        *a = d;
    }
    else if ((*b >= *a) && (*b >= *c)) {
        d = *c;
        *c = *b;
        *b = d;
    }
}

bool pitagoras(float a, float b, float c) {
    return (abs(pow(c, 2) - (pow(a, 2) + pow(b, 2))) < 0.0000001);
}

int main() {
    struct koord kA, kB, kC;
    float a, b, c;

    printf("Pirmosios virsunes koord [x, y]:\n");
    scanf("%f %f", &kA.x, &kA.y);
    printf("Antrosios virsunes koord [x, y]:\n");
    scanf("%f %f", &kB.x, &kB.y);
    printf("Treciosios virsunes koord [x, y]:\n");
    scanf("%f %f", &kC.x, &kC.y);

    a = ilgis(kA, kB);
    b = ilgis(kA, kC);
    c = ilgis(kB, kC);

    rikiuok(&a, &b, &c);

    if (pitagoras(a, b, c)) {
        printf("Trikampis status\n");
    }
    else {
        printf("Trikampis nera status\n");
    }
    system("PAUSE");
    return 0;
}
